Authorization API

The Authorization API allows you to get a valid JSON Web Token based on your ZetaHub username and password.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

In order to access routes that use token-based authorization, you will need to generate a JSON Web Token (JWT).

You can generate an id_token by supplying your username and password to this route with the following data fields:

{
  "client_id": "FP3iP1blgJbdmmSRYS1I96byb1nXryTs", 
  "username": "<Your User Name>",
  "password": "<Your Password>",
  "connection": "Username-Password-Authentication",
  "grant_type": "password",
  "scope":  "openid app_metadata name email user_id"
}

The id_token returned will be valid for 10 hours after issue, and should be passed as a header into the routes that need authorization, in the format Authorization: Bearer <id_token>.

Path Params
string
required

The unique identifier for your site.

Body Params
string
Defaults to FP3iP1blgJbdmmSRYS1I96byb1nXryTs

Use client_id FP3iP1blgJbdmmSRYS1I96byb1nXryTs to get a token valid for Boomtrain

string
required

Enter your username here

string
required

Enter your password here

string
Defaults to Username-Password-Authentication

Use connection Username-Password-Authentication.

string
Defaults to openid app_metadata name email user_id

Use scope openid app_metadata name email user_id to get a valid token.

string
Defaults to password

Use grant_type password to get a valid token.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json